/*
 * Class EV_CHECKABLE_TREE_ACTION_SEQUENCES_IMP
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_458 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_458 [] = {0xFF01,1551,457,0xFFFF};
static const EIF_TYPE_INDEX egt_2_458 [] = {0xFF01,457,0xFFFF};
static const EIF_TYPE_INDEX egt_3_458 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_458 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_458 [] = {0xFF01,457,0xFFFF};
static const EIF_TYPE_INDEX egt_6_458 [] = {0xFF01,457,0xFFFF};
static const EIF_TYPE_INDEX egt_7_458 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_458 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_458 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_458 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_458 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_458 [] = {0xFF01,457,0xFFFF};
static const EIF_TYPE_INDEX egt_13_458 [] = {0xFF01,637,0xFFFF};
static const EIF_TYPE_INDEX egt_14_458 [] = {0xFF01,637,0xFFFF};
static const EIF_TYPE_INDEX egt_15_458 [] = {0xFF01,637,0xFFFF};
static const EIF_TYPE_INDEX egt_16_458 [] = {0xFF01,637,0xFFFF};


static const struct desc_info desc_458[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_458), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_458), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_458), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_458), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_458), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_458), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_458), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_458), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_458), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_458), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_458), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_458), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0393 /*457*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_458), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_458), 7919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_458), 7923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04FB /*637*/), 7920, 0},
	{EIF_GENERIC(egt_15_458), 7921, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_458), 7924, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04FB /*637*/), 7922, 4},
};
void Init458(void)
{
	IDSC(desc_458, 0, 457);
	IDSC(desc_458 + 1, 1, 457);
	IDSC(desc_458 + 32, 108, 457);
}


#ifdef __cplusplus
}
#endif
